<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Prettify referendum data column names — prettify_col_names • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Prettify referendum data column names — prettify_col_names"><meta name="description" content="Renames referendum data column names to be ready for publication. Useful e.g. to create tables or visualizations."><meta property="og:description" content="Renames referendum data column names to be ready for publication. Useful e.g. to create tables or visualizations."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Prettify referendum data column names</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/R/rdb.gen.R" class="external-link"><code>R/rdb.gen.R</code></a></small>
      <div class="d-none name"><code>prettify_col_names.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Renames referendum data column names to be ready for publication. Useful e.g. to create tables or visualizations.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">prettify_col_names</span><span class="op">(</span><span class="va">data</span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-data">data<a class="anchor" aria-label="anchor" href="#arg-data"></a></dt>
<dd><p>RDB referendum data as returned by <code><a href="rfrnds.html">rfrnds()</a></code>.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A <a href="https://tibble.tidyverse.org/reference/tbl_df-class.html" class="external-link">tibble</a>.</p>
    </div>
    <div class="section level2">
    <h2 id="details">Details<a class="anchor" aria-label="anchor" href="#details"></a></h2>
    <p>Note that</p><ul><li><p>column names unknown to this function are not changed.</p></li>
<li><p>column <em>labels</em> are <a href="https://larmarange.github.io/labelled/reference/remove_labels.html" class="external-link">removed</a> so they aren't inadvertently used instead of the column <em>names</em> (i.a. relevant for <a href="https://gt.rstudio.com/reference/gt.html" class="external-link">gt</a>
<a href="https://gt.rstudio.com/news/index.html#minor-improvements-and-bug-fixes-0-9-0" class="external-link">&gt;= 0.9.0</a>).</p></li>
</ul></div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other referendum data transformation functions:
<code><a href="as_ballot_dates.html">as_ballot_dates</a>()</code>,
<code><a href="n_rfrnds.html">n_rfrnds</a>()</code>,
<code><a href="n_rfrnds_per_period.html">n_rfrnds_per_period</a>()</code>,
<code><a href="unnest_var.html">unnest_var</a>()</code></p>
<p>Other functions to prettify names:
<code><a href="prettify_var_names.html">prettify_var_names</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="rfrnds.html">rfrnds</a></span><span class="op">(</span>quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu">prettify_col_names</span><span class="op">(</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 17,892 × 67</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    `RDB ID`     `Official ID` `sudd.ch ID` ISO 3166-1 alpha-2 /…¹ Country `Subnational entity` Municipality `Political level` Date       `Former country?` Title</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>         <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>                  <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>   <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;ord&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;date&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 1</span> 670cd145c3c… <span style="color: #BB0000;">NA</span>            <span style="color: #BB0000;">NA</span>           CH                     Switze… Zug                  <span style="color: #BB0000;">NA</span>           subnational       2024-06-09 <span style="color: #BB0000;">NA</span>                Cycl…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 2</span> 66fff490c3c… <span style="color: #BB0000;">NA</span>            <span style="color: #BB0000;">NA</span>           LI                     Liecht… <span style="color: #BB0000;">NA</span>                   <span style="color: #BB0000;">NA</span>           national          2024-09-22 <span style="color: #BB0000;">NA</span>                Refe…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 3</span> 66ffdfe3c3c… <span style="color: #BB0000;">NA</span>            <span style="color: #BB0000;">NA</span>           CH                     Switze… Jura                 <span style="color: #BB0000;">NA</span>           subnational       2024-09-22 <span style="color: #BB0000;">NA</span>                Act …</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 4</span> 66ffdc31c3c… <span style="color: #BB0000;">NA</span>            <span style="color: #BB0000;">NA</span>           CH                     Switze… Uri                  <span style="color: #BB0000;">NA</span>           subnational       2024-09-22 <span style="color: #BB0000;">NA</span>                Ener…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 5</span> 66ffd956c3c… <span style="color: #BB0000;">NA</span>            <span style="color: #BB0000;">NA</span>           CH                     Switze… Uri                  <span style="color: #BB0000;">NA</span>           subnational       2024-09-22 <span style="color: #BB0000;">NA</span>                Part…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 6</span> 66ffbf93c3c… <span style="color: #BB0000;">NA</span>            <span style="color: #BB0000;">NA</span>           CH                     Switze… Nidwalden            <span style="color: #BB0000;">NA</span>           subnational       2024-09-22 <span style="color: #BB0000;">NA</span>                Amen…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 7</span> 66f686cfc3c… <span style="color: #BB0000;">NA</span>            <span style="color: #BB0000;">NA</span>           CH                     Switze… Bern                 <span style="color: #BB0000;">NA</span>           subnational       2024-09-22 <span style="color: #BB0000;">NA</span>                Conc…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 8</span> 66f68317c3c… <span style="color: #BB0000;">NA</span>            <span style="color: #BB0000;">NA</span>           CH                     Switze… Bern                 <span style="color: #BB0000;">NA</span>           subnational       2024-09-22 <span style="color: #BB0000;">NA</span>                Amen…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 9</span> 66d6da9cc3c… <span style="color: #BB0000;">NA</span>            <span style="color: #BB0000;">NA</span>           CH                     Switze… Basel Landschaft     <span style="color: #BB0000;">NA</span>           subnational       2024-09-22 <span style="color: #BB0000;">NA</span>                Part…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">10</span> 66cde603c3c… <span style="color: #BB0000;">NA</span>            <span style="color: #BB0000;">NA</span>           CH                     Switze… Graubünden           <span style="color: #BB0000;">NA</span>           subnational       2024-09-22 <span style="color: #BB0000;">NA</span>                New …</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 17,882 more rows</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ abbreviated name: ¹​`ISO 3166-1 alpha-2 / ISO 3166-3 alpha-4`</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 56 more variables: Titel &lt;chr&gt;, Titre &lt;chr&gt;, `Original question` &lt;chr&gt;, Question &lt;chr&gt;, `Committee name` &lt;chr&gt;, Result &lt;fct&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   `Approving subterritories` &lt;dbl&gt;, `Rejecting subterritories` &lt;dbl&gt;, `Total electorate` &lt;int&gt;, `Electorate abroad` &lt;int&gt;, `Yes votes` &lt;int&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   `No votes` &lt;int&gt;, `Empty votes` &lt;int&gt;, `Invalid votes` &lt;int&gt;, `Subterritorial votes` &lt;list&gt;, `Lower house yes votes` &lt;int&gt;, `Lower house no votes` &lt;int&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   `Lower house abstentions` &lt;int&gt;, `Upper house yes` &lt;int&gt;, `Upper house No` &lt;int&gt;, `Upper house abstentions` &lt;int&gt;, `Government's position` &lt;fct&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   `Top-tier political topics` &lt;list&gt;, `Second-tier political topics` &lt;list&gt;, `Third-tier political topics` &lt;list&gt;, Remarks &lt;chr&gt;, `File metadata` &lt;list&gt;, …</span></span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

